summaryrefslogtreecommitdiffstats
path: root/make-directories.sh
diff options
context:
space:
mode:
authormark <[email protected]>2012-06-27 10:21:18 +0000
committerSven Gothel <[email protected]>2012-11-06 21:16:28 +0100
commitb43c00e03abe8cda1000192f8acf5078cffd34a6 (patch)
treec21dc47b9937930c0526839c16bebe3f405e5d2e /make-directories.sh
parent7f2e7634a4add378f51eb63e048cfa3fc3a6dc05 (diff)
Initial
Diffstat (limited to 'make-directories.sh')
-rwxr-xr-xmake-directories.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/make-directories.sh b/make-directories.sh
new file mode 100755
index 0000000..b0f124a
--- /dev/null
+++ b/make-directories.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+if [ $# -ne 1 ]
+then
+ echo "make-directories: usage: version" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+
+PROJECTS=`cat make-projects.txt | awk -F: '{print $1}'` || exit 1
+
+for PROJECT in ${PROJECTS}
+do
+ echo "make-directories: info: creating output/${PROJECT}/${VERSION}" 2>&1
+ mkdir -p "output/${PROJECT}/${VERSION}" || exit 1
+done
+